Package org.flowable.eventregistry.api

# Interface EventDeploymentQuery

All Superinterfaces:
  `Query<EventDeploymentQuery,EventDeployment>`

public interface EventDeploymentQuery extends Query<EventDeploymentQuery,EventDeployment>
Allows programmatic querying of `EventDeployment`s. Note that it is impossible to retrieve the deployment resources through the results of this operation, since that would cause a huge transfer of (possibly) unneeded bytes over the wire. To retrieve the actual bytes of a deployment resource use the operations on the `EventRepositoryService.getDeploymentResourceNames(String)` and `EventRepositoryService.getResourceAsStream(String, String)`

Author:
  Tijs Rademakers, Joram Barrez

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.flowable.common.engine.api.query.Query

  `Query.NullHandlingOnOrder`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EventDeploymentQuery`
  `channelDefinitionKey(String key)`
  Only select deployments with the given channel definition key.
  `EventDeploymentQuery`
  `channelDefinitionKeyLike(String keyLike)`
  Only select deployments with a channel definition key like the given string.
  `EventDeploymentQuery`
  `deploymentCategory(String category)`
  Only select deployments with the given category.
  `EventDeploymentQuery`
  `deploymentCategoryNotEquals(String categoryNotEquals)`
  Only select deployments that have a different category then the given one.
  `EventDeploymentQuery`
  `deploymentId(String deploymentId)`
  Only select deployments with the given deployment id.
  `EventDeploymentQuery`
  `deploymentName(String name)`
  Only select deployments with the given name.
  `EventDeploymentQuery`
  `deploymentNameLike(String nameLike)`
  Only select deployments with a name like the given string.
  `EventDeploymentQuery`
  `deploymentTenantId(String tenantId)`
  Only select deployment that have the given tenant id.
  `EventDeploymentQuery`
  `deploymentTenantIdLike(String tenantIdLike)`
  Only select deployments with a tenant id like the given one.
  `EventDeploymentQuery`
  `deploymentWithoutTenantId()`
  Only select deployments that do not have a tenant id.
  `EventDeploymentQuery`
  `eventDefinitionKey(String key)`
  Only select deployments with the given event definition key.
  `EventDeploymentQuery`
  `eventDefinitionKeyLike(String keyLike)`
  Only select deployments with an event definition key like the given string.
  `EventDeploymentQuery`
  `orderByDeploymentId()`
  Order by deployment id (needs to be followed by `Query.asc()` or `Query.desc()`).
  `EventDeploymentQuery`
  `orderByDeploymentName()`
  Order by deployment name (needs to be followed by `Query.asc()` or `Query.desc()`).
  `EventDeploymentQuery`
  `orderByDeploymentTime()`
  Order by deployment time (needs to be followed by `Query.asc()` or `Query.desc()`).
  `EventDeploymentQuery`
  `orderByTenantId()`
  Order by tenant id (needs to be followed by `Query.asc()` or `Query.desc()`).
  `EventDeploymentQuery`
  `parentDeploymentId(String deploymentParentId)`
  Only select deployment that have the given deployment parent id.
  `EventDeploymentQuery`
  `parentDeploymentIdLike(String deploymentParentIdLike)`
  Only select deployments with a deployment parent id like the given one.

  ### Methods inherited from interface org.flowable.common.engine.api.query.Query

  `asc, count, desc, list, listPage, orderBy, orderBy, singleResult`

- ## Method Details

  - ### deploymentId

    EventDeploymentQuery deploymentId(String deploymentId)
    Only select deployments with the given deployment id.

  - ### deploymentName

    EventDeploymentQuery deploymentName(String name)
    Only select deployments with the given name.

  - ### deploymentNameLike

    EventDeploymentQuery deploymentNameLike(String nameLike)
    Only select deployments with a name like the given string.

  - ### deploymentCategory

    EventDeploymentQuery deploymentCategory(String category)
    Only select deployments with the given category.
    See Also:
      - `EventDeploymentBuilder.category(String)`

  - ### deploymentCategoryNotEquals

    EventDeploymentQuery deploymentCategoryNotEquals(String categoryNotEquals)
    Only select deployments that have a different category then the given one.
    See Also:
      - `EventDeploymentBuilder.category(String)`

  - ### deploymentTenantId

    EventDeploymentQuery deploymentTenantId(String tenantId)
    Only select deployment that have the given tenant id.

  - ### deploymentTenantIdLike

    EventDeploymentQuery deploymentTenantIdLike(String tenantIdLike)
    Only select deployments with a tenant id like the given one.

  - ### deploymentWithoutTenantId

    EventDeploymentQuery deploymentWithoutTenantId()
    Only select deployments that do not have a tenant id.

  - ### eventDefinitionKey

    EventDeploymentQuery eventDefinitionKey(String key)
    Only select deployments with the given event definition key.

  - ### eventDefinitionKeyLike

    EventDeploymentQuery eventDefinitionKeyLike(String keyLike)
    Only select deployments with an event definition key like the given string.

  - ### channelDefinitionKey

    EventDeploymentQuery channelDefinitionKey(String key)
    Only select deployments with the given channel definition key.

  - ### channelDefinitionKeyLike

    EventDeploymentQuery channelDefinitionKeyLike(String keyLike)
    Only select deployments with a channel definition key like the given string.

  - ### parentDeploymentId

    EventDeploymentQuery parentDeploymentId(String deploymentParentId)
    Only select deployment that have the given deployment parent id.

  - ### parentDeploymentIdLike

    EventDeploymentQuery parentDeploymentIdLike(String deploymentParentIdLike)
    Only select deployments with a deployment parent id like the given one.

  - ### orderByDeploymentId

    EventDeploymentQuery orderByDeploymentId()
    Order by deployment id (needs to be followed by `Query.asc()` or `Query.desc()`).

  - ### orderByDeploymentName

    EventDeploymentQuery orderByDeploymentName()
    Order by deployment name (needs to be followed by `Query.asc()` or `Query.desc()`).

  - ### orderByDeploymentTime

    EventDeploymentQuery orderByDeploymentTime()
    Order by deployment time (needs to be followed by `Query.asc()` or `Query.desc()`).

  - ### orderByTenantId

    EventDeploymentQuery orderByTenantId()
    Order by tenant id (needs to be followed by `Query.asc()` or `Query.desc()`).